"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const common_tags_1 = require("common-tags");
function compareStrings(a, b) {
    return a.includes(b);
}
function toBeSimilarStringTo(received, argument) {
    const strippedA = common_tags_1.oneLine `${received}`.replace(/\s\s+/g, ' ');
    const strippedB = common_tags_1.oneLine `${argument}`.replace(/\s\s+/g, ' ');
    if (compareStrings(strippedA, strippedB)) {
        return {
            message: () => `expected 
 ${received}
 not to be similar (strip-indent) string to
 ${argument}`,
            pass: true
        };
    }
    else {
        return {
            message: () => `expected 
 ${received}
 to be similar (strip-indent) string to
 ${argument}`,
            pass: false
        };
    }
}
expect.extend({
    toBeSimilarStringTo
});
//# sourceMappingURL=index.js.map